Bug 1001922 - on pxt page there is an incorrect menu displayed causing ISE
on pxt page there is an incorrect menu displayed causing ISE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
Depends On:
Blocks: sat570-lowbug
  Show dependency treegraph
Reported: 2013-08-28 02:52 EDT by Jan Hutař
Modified: 2015-01-13 04:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-01-13 04:45:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2013-08-28 02:52:09 EDT
Description of problem:
With special sequence of clicking on webUI and using back button of your browser or editing URL, you can confuse pxt pages so they display different menu for the page causing not enough parameters in the links causing ISE.

Version-Release number of selected component (if applicable):
Compose 20130822

How reproducible:

Steps to Reproduce:
1. Have system with provisioning entitlement and ID 1000010020 and some
   snapshots already
2. In webUI go to our starting point: its overview page
   Systems -> <your_system> -> Details -> Overview
3. Go to some snapshot info page which is a pxt page:
   Provisioning -> Snapshots -> <some_snapshot> -> Packages
4. Press "Back" button 4 times so you are back on Overview page
5. Click to: Schedule System Reboot
6. Note same menu as when you were in the step "3." is displayed
7. Click on Packages menu item which is:
   (note the missing "ss_id" param in the URI)

Actual results:
ISE on webUI.
In error_log there is:
[Wed Aug 28 02:47:43 2013] [error] Execution of /var/www/html/network/systems/details/history/snapshots/packages.pxt failed at Wed Aug 28 02:47:43 2013: no snapshot_id at /usr/share/perl5/vendor_perl/Sniglets/Snapshot.pm line 70.
[Wed Aug 28 02:47:43 2013] [error] Traceback sent to root@localhost at /usr/share/perl5/vendor_perl/PXT/ApacheHandler.pm line 563.

Expected results:
Correct menu displayed, so no ISE possible.

Additional info:
I was not able to reproduce on a fresh browser (Firefox), I have seen this on mine (Opera) after a while of clicking around.

IMO not a sat560 blocking issue.
Comment 3 Tomas Lestach 2013-09-02 10:12:26 EDT
Right, setting correct menu for the reboot_confirm.pxt page ...

spacewalk.git: 22e41f8ff9b3c181ec69f230ebc3f4cbc1ec8751
Comment 5 Jan Hutař 2014-05-15 10:25:40 EDT
Looks like this page have same issue, but it is probably common to all pxt pages:

  -> /rhn/errata/details/SystemsAffected.do?eid=90
Comment 6 Clifford Perry 2015-01-13 04:45:30 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 - https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

NOTE: This specific bug did not get verified and being closed as assumed fixed. Please reopen if this is not resolved within the release. 


Note You need to log in before you can comment on or make changes to this bug.